/* s_anim_s.h

   Manages animal portals
*/

#ifndef INCLUDED_S_ANIM_S_H
#define INCLUDED_S_ANIM_S_H

#include "s_animal.h"
#include "sprite.h"


typedef struct PORTAL {
	int tick;
} PORTAL;

SPRITE *add_portal_sprite(TILEMAP *map, SPRITE *sprite, int x, int y);
 
void draw_portal(BITMAP *bmp, SPRITE *sprite, float cth);


void update_portal(TILEMAP *map, SPRITE *sprite);


void si_portal(TILEMAP *map, SPRITE *spr1, SPRITE *spr2);


#endif /* INCLUDED_S_ANIM_S_H */
